"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const badgeStyles = {
    orange: { background: "rgba(255, 131, 71, 0.15)", color: "#FF8447" },
    green: { background: "rgba(31, 193, 107, 0.15)", color: "#1FC16B" },
    red: { background: "rgba(251, 55, 72, 0.15)", color: "#FB3748" },
    blue: { background: "rgba(51, 92, 255, 0.15)", color: "#335CFF" },
    lightBlue: { background: "rgba(71, 194, 255, 0.15)", color: "#47C2FF" },
    purple: { background: "rgba(125, 82, 244, 0.15)", color: "#7D52F4" },
};
const BadgeContainer = styled_components_1.default.div `
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 2px 8px;
  gap: 2px;
  width: auto;
  min-width: 41px;
  height: 20px;
  background: ${({ $variant }) => badgeStyles[$variant].background};
  border-radius: 999px;
  font-family: "Inter", sans-serif;
  font-weight: 500;
  font-size: 12px;
  line-height: 16px;
  color: ${({ $variant }) => badgeStyles[$variant].color};
  text-transform: capitalize;
`;
const Badge = ({ text, variant }) => {
    return react_1.default.createElement(BadgeContainer, { "$variant": variant }, text);
};
exports.Badge = Badge;
