"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BarChart = void 0;
const react_1 = __importDefault(require("react"));
const react_chartjs_2_1 = require("react-chartjs-2");
const chart_js_1 = require("chart.js");
chart_js_1.Chart.register(chart_js_1.CategoryScale, chart_js_1.LinearScale, chart_js_1.BarElement, chart_js_1.Title, chart_js_1.Tooltip, chart_js_1.Legend);
const BarChart = ({ labels, datasets, showLegend = false, }) => {
    const data = { labels, datasets };
    const options = {
        responsive: true,
        plugins: {
            legend: { display: showLegend },
        },
        scales: {
            x: { stacked: true },
            y: {
                stacked: true,
                ticks: {
                    callback: function (tickValue) {
                        return typeof tickValue === "number"
                            ? `${tickValue / 1000}k`
                            : tickValue;
                    },
                },
            },
        },
    };
    return react_1.default.createElement(react_chartjs_2_1.Bar, { data: data, options: options });
};
exports.BarChart = BarChart;
