"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Button = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importStar(require("styled-components"));
const PlusIcon_1 = require("../icons/PlusIcon");
const BurgerIcon_1 = require("../icons/BurgerIcon");
const ButtonColors = {
    black: "#0E121B",
    orange: "#F56301",
    orangeDark: "#d65300",
    orangeLight: "#ff7514",
    orangeDarker: "#723818",
    gray: "#99A0AE",
    darkGray: "#3a3f4a",
    lightGray: "#D9DCE1",
};
const ButtonBase = styled_components_1.default.button `
  font-family: "Inter", sans-serif;
  border-radius: 8px;
  font-weight: 400;
  transition: all 0.2s ease-in-out;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 1px solid transparent;
  cursor: pointer;
  outline: none;
  height: 40px;
  padding: 10px;
  font-size: 14px;
  text-align: center;
  gap: 8px;

  &:focus {
    outline: none;
  }

  ${(props) => props.$size === "full" &&
    (0, styled_components_1.css) `
      width: 100%;
    `}

  ${(props) => props.$size === "large" &&
    (0, styled_components_1.css) `
      width: 170px;
    `}

  ${(props) => props.$size === "medium" &&
    (0, styled_components_1.css) `
      width: 120px;
    `}

  ${(props) => props.$size === "small" &&
    (0, styled_components_1.css) `
      width: 80px;
      height: 32px;
    `}

  ${(props) => props.$size === "xs" &&
    (0, styled_components_1.css) `
      width: 32px;
      height: 32px;
    `}

  ${(props) => props.$variant === "primary" &&
    (0, styled_components_1.css) `
      background: ${ButtonColors.orange};
      color: white;
      border-color: transparent;
      &:hover {
        background: ${ButtonColors.orangeDark};
        border-color: transparent;
      }
    `}

  ${(props) => props.$variant === "secondary" &&
    (0, styled_components_1.css) `
      background: ${props.$darkmode === true ? ButtonColors.black : "white"};
      color: ${ButtonColors.orange};
      border-color: ${ButtonColors.orange};
      &:hover {
        background: ${props.$darkmode === true
        ? ButtonColors.orangeDarker
        : "#ffebd4"};
        border-color: transparent;
      }
    `}

  ${(props) => props.$variant === "alternate" &&
    (0, styled_components_1.css) `
      background: ${props.$darkmode === true ? ButtonColors.black : "white"};
      color: ${props.$darkmode === true
        ? ButtonColors.gray
        : ButtonColors.darkGray};
      border-color: ${ButtonColors.gray};
      &:hover {
        background: ${props.$darkmode === true
        ? ButtonColors.darkGray
        : ButtonColors.lightGray};
        color: ${props.$darkmode === true ? "white" : ButtonColors.black};
        border-color: transparent;
      }
    `}
`;
const Button = ({ text, variant = "primary", darkmode = false, size = "medium", icon = "none", iconColor = "white", onClick, }) => {
    return (react_1.default.createElement(ButtonBase, { "$variant": variant, "$darkmode": darkmode, "$size": size, onClick: onClick },
        icon === "plus" && react_1.default.createElement(PlusIcon_1.PlusIcon, { color: iconColor }),
        icon === "burger" && react_1.default.createElement(BurgerIcon_1.BurgerIcon, { color: iconColor }),
        text));
};
exports.Button = Button;
