"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CubeInput = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const CubeContainer = styled_components_1.default.div `
  display: flex;
  gap: 8px;
`;
const Cube = styled_components_1.default.input `
  box-sizing: border-box;
  width: 57px;
  height: 64px;
  font-size: 24px;
  font-weight: bold;
  text-align: center;
  border-radius: 10px;
  border: 1px solid ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#E1E4EA")};
  background: ${({ $darkmode }) => ($darkmode ? "#0E121B" : "#FFFFFF")};
  color: ${({ $darkmode }) => ($darkmode ? "#E1E4EA" : "#0E121B")};
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
  outline: none;

  &:focus {
    border-color: ${({ $darkmode }) => ($darkmode ? "#666" : "#335CFF")};
  }
`;
const CubeInput = ({ length = 6, onChange, darkmode = false, }) => {
    const [values, setValues] = (0, react_1.useState)(Array(length).fill(""));
    const inputRefs = (0, react_1.useRef)([]);
    const handleChange = (index, e) => {
        var _a;
        const { value } = e.target;
        if (!/^\d?$/.test(value))
            return;
        const newValues = [...values];
        newValues[index] = value;
        setValues(newValues);
        onChange === null || onChange === void 0 ? void 0 : onChange(newValues.join(""));
        if (value && index < length - 1) {
            (_a = inputRefs.current[index + 1]) === null || _a === void 0 ? void 0 : _a.focus();
        }
    };
    const handleKeyDown = (index, e) => {
        var _a;
        if (e.key === "Backspace" && !values[index] && index > 0) {
            (_a = inputRefs.current[index - 1]) === null || _a === void 0 ? void 0 : _a.focus();
        }
    };
    return (react_1.default.createElement(CubeContainer, null, values.map((val, index) => (react_1.default.createElement(Cube, { key: index, type: "text", maxLength: 1, value: val, ref: (el) => {
            inputRefs.current[index] = el;
        }, "$darkmode": darkmode, onChange: (e) => handleChange(index, e), onKeyDown: (e) => handleKeyDown(index, e) })))));
};
exports.CubeInput = CubeInput;
