"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Input = void 0;
const styled_components_1 = require("styled-components");
const react_1 = __importDefault(require("react"));
const InputWrapper = styled_components_1.styled.div `
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 10px 10px 10px 12px;
  width: 100%;
  height: 40px;
  border: 1px solid ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#E1E4EA")};
  background: ${({ $darkmode }) => ($darkmode ? "#0E121B" : "#FFFFFF")};
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
  border-radius: 10px;
  color: ${({ $darkmode }) => ($darkmode ? "#FFFFFF" : "#0E121B")};

  flex: none;
  order: 1;
  align-self: stretch;
  flex-grow: 0;

  &:focus-within {
    border-color: ${({ $darkmode }) => ($darkmode ? "#666" : "#aaa")};
  }
`;
const StyledInput = styled_components_1.styled.input `
  flex: 1;
  border: none;
  outline: none;
  padding: 8px;
  font-size: 16px;
  background: transparent;
  color: inherit;
  font-family: "Inter", sans-serif;

  &::placeholder {
    color: ${({ $darkmode }) => ($darkmode ? "#aaa" : "#888")};
  }
`;
const IconWrapper = styled_components_1.styled.div `
  margin-right: 8px;
  display: flex;
  align-items: center;
  color: ${({ $darkmode }) => ($darkmode ? "#aaa" : "#888")};
`;
const Input = (_a) => {
    var { icon: Icon, iconColor = "gray", darkmode = false } = _a, props = __rest(_a, ["icon", "iconColor", "darkmode"]);
    return (react_1.default.createElement(InputWrapper, { "$darkmode": darkmode },
        Icon && (react_1.default.createElement(IconWrapper, { "$darkmode": darkmode },
            react_1.default.createElement(Icon, { color: iconColor }))),
        react_1.default.createElement(StyledInput, Object.assign({ "$darkmode": darkmode }, props))));
};
exports.Input = Input;
