"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerticalMenu = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const SmallArrowRightIcon_1 = require("../icons/SmallArrowRightIcon");
const MenuWrapper = styled_components_1.default.div `
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  padding: 10px;
  gap: 8px;
  width: 258px;
  background: ${({ $darkmode }) => ($darkmode ? "#171C26" : "#FFFFFF")};
  border: 1px solid ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#E1E4EA")};
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
  border-radius: 16px;
`;
const MenuTitle = styled_components_1.default.span `
  font-size: 12px;
  font-weight: 500;
  color: ${({ $darkmode }) => ($darkmode ? "#99A0AE" : "#525866")};
  text-transform: uppercase;
  letter-spacing: 0.04em;
  font-feature-settings: "cv09" on, "ss11" on, "calt" off, "liga" off;
`;
const MenuItem = styled_components_1.default.div `
  display: flex;
  align-items: center;
  padding: 8px;
  gap: 10px;
  width: 220px;
  height: 28px;
  background: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#2B303B" : "#F5F7FA") : "transparent"};
  border-radius: 8px;
  cursor: pointer;
  transition: background 0.2s ease-in-out;

  &:hover {
    background: ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#F5F7FA")};
  }
`;
const MenuText = styled_components_1.default.span `
  font-size: 14px;
  font-weight: 500;
  color: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#E1E4EA" : "#0E121B") : "#525866"};
  flex-grow: 1;
`;
const ArrowButton = styled_components_1.default.div `
  width: 18px;
  height: 18px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#0E121B" : "#FFFFFF") : "transparent"};
  box-shadow: ${({ $selected }) => $selected ? "0px 1px 2px rgba(10, 13, 20, 0.03)" : "none"};
`;
const VerticalMenu = ({ title, items, darkmode = false, }) => {
    const [selectedItem, setSelectedItem] = (0, react_1.useState)(items[0].id);
    return (react_1.default.createElement(MenuWrapper, { "$darkmode": darkmode },
        react_1.default.createElement(MenuTitle, { "$darkmode": darkmode }, title),
        items.map((item) => {
            const isSelected = selectedItem === item.id;
            const IconComponent = item.icon;
            return (react_1.default.createElement(MenuItem, { key: item.id, "$selected": isSelected, "$darkmode": darkmode, onClick: () => setSelectedItem(item.id) },
                react_1.default.createElement(IconComponent, { color: isSelected ? "orange" : "gray" }),
                react_1.default.createElement(MenuText, { "$selected": isSelected, "$darkmode": darkmode }, item.label),
                isSelected && (react_1.default.createElement(ArrowButton, { "$selected": isSelected, "$darkmode": darkmode },
                    react_1.default.createElement(SmallArrowRightIcon_1.SmallArrowRightIcon, { color: "gray" })))));
        })));
};
exports.VerticalMenu = VerticalMenu;
