"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tabs = void 0;
const react_1 = __importStar(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const TabsContainer = styled_components_1.default.div `
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px;
  gap: 6px;
  width: fit-content;
  height: 28px;
  background: ${({ $darkmode }) => ($darkmode ? "#0E121B" : "#f5f5f5")};
  box-shadow: 0px 1px 2px rgba(14, 18, 27, 0.12);
  border-radius: 6px;
`;
const TabItem = styled_components_1.default.button `
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 4px 12px;
  gap: 6px;
  min-width: 90px;
  height: 28px;
  background: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#1E293B" : "#FFFFFF") : "transparent"};
  border: none;
  border-radius: 6px;
  font-family: "Inter", sans-serif;
  font-size: 14px;
  font-weight: ${({ $selected }) => ($selected ? "600" : "500")};
  color: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#FFFFFF" : "#000000") : "#99A0AE"};
  cursor: pointer;
  transition: all 0.3s ease-in-out;

  &:hover {
    opacity: 0.8;
  }
`;
const UnderlineTabsContainer = styled_components_1.default.div `
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 14px 0px;
  gap: 24px;
  width: 100%;
  border-bottom: 1px solid
    ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#E1E4EA")};
  background: ${({ $darkmode }) => ($darkmode ? "#181B25" : "#FFFFFF")};
`;
const UnderlineTabItem = styled_components_1.default.button `
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  gap: 6px;
  height: 20px;
  font-size: 14px;
  font-weight: ${({ $selected }) => ($selected ? "600" : "500")};
  color: ${({ $selected, $darkmode }) => $selected ? ($darkmode ? "#FFFFFF" : "#000000") : "#99A0AE"};
  border: none;
  background: transparent;
  cursor: pointer;
  position: relative;
  transition: color 0.3s ease-in-out;

  &:hover {
    opacity: 0.8;
  }

  ${({ $selected, $darkmode }) => $selected &&
    `
    &::after {
      content: "";
      position: absolute;
      bottom: -14px;
      left: 0;
      right: 0;
      border-bottom: 2px solid ${$darkmode ? "#FF7514" : "#F56301"};
    }
  `}
`;
const Tabs = ({ tabs, variant = "filled", darkmode = false, onTabChange, }) => {
    const [selectedTab, setSelectedTab] = (0, react_1.useState)(0);
    const handleTabClick = (index) => {
        setSelectedTab(index);
        if (onTabChange) {
            onTabChange(index);
        }
    };
    if (variant === "underline") {
        return (react_1.default.createElement(UnderlineTabsContainer, { "$darkmode": darkmode }, tabs.map((tab, index) => (react_1.default.createElement(UnderlineTabItem, { key: index, "$selected": selectedTab === index, "$darkmode": darkmode, onClick: () => handleTabClick(index) },
            tab.label,
            " ",
            tab.count !== undefined ? `(${tab.count})` : "")))));
    }
    return (react_1.default.createElement(TabsContainer, { "$darkmode": darkmode }, tabs.map((tab, index) => (react_1.default.createElement(TabItem, { key: index, "$selected": selectedTab === index, "$darkmode": darkmode, onClick: () => handleTabClick(index) },
        tab.label,
        " ",
        tab.count !== undefined ? `(${tab.count})` : "")))));
};
exports.Tabs = Tabs;
