"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Textarea = void 0;
const styled_components_1 = require("styled-components");
const TextAreaExtendIcon_1 = require("../icons/TextAreaExtendIcon");
const react_1 = __importDefault(require("react"));
const TextareaWrapper = styled_components_1.styled.div `
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  padding: 10px 10px 10px 12px;
  gap: 8px;
  width: 100%;
  height: 88px;
  background: ${({ $darkmode }) => ($darkmode ? "#0E121B" : "#FFFFFF")};
  border: 1px solid ${({ $darkmode }) => ($darkmode ? "#2B303B" : "#E1E4EA")};
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
  border-radius: 12px;
  flex: none;
  order: 1;
  align-self: stretch;
  flex-grow: 1;
  position: relative;
`;
const StyledTextarea = styled_components_1.styled.textarea `
  width: 100%;
  height: 100%;
  border: none;
  outline: none;
  background: transparent;
  font-size: 16px;
  color: ${({ $darkmode }) => ($darkmode ? "#ffffff" : "#000000")};
  resize: none;
  font-family: "Inter", sans-serif;

  &::placeholder {
    color: ${({ $darkmode }) => ($darkmode ? "#99A0AE" : "#525866")};
  }
`;
const CharacterCounter = styled_components_1.styled.div `
  position: absolute;
  bottom: 8px;
  right: 12px;
  font-size: 12px;
  color: ${({ $darkmode }) => ($darkmode ? "#99A0AE" : "#525866")};
  display: flex;
  align-items: center;
  gap: 4px;
`;
const Textarea = (_a) => {
    var { darkmode = false, maxLength = 200 } = _a, props = __rest(_a, ["darkmode", "maxLength"]);
    const [text, setText] = react_1.default.useState("");
    return (react_1.default.createElement(TextareaWrapper, { "$darkmode": darkmode },
        react_1.default.createElement(StyledTextarea, Object.assign({ "$darkmode": darkmode, maxLength: maxLength, value: text, onChange: (e) => setText(e.target.value) }, props)),
        react_1.default.createElement(CharacterCounter, { "$darkmode": darkmode },
            text.length,
            "/",
            maxLength,
            " ",
            react_1.default.createElement(TextAreaExtendIcon_1.TextAreaExtendIcon, null))));
};
exports.Textarea = Textarea;
