"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThemeButton = void 0;
const react_1 = __importDefault(require("react"));
const DarkModeIcon_1 = require("../icons/DarkModeIcon");
const LightModeIcon_1 = require("../icons/LightModeIcon");
const styled_components_1 = __importStar(require("styled-components"));
const ThemeButtonBasr = styled_components_1.default.button `
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 6px;
  width: 32px;
  height: 32px;
  border: 1px solid #e1e4ea;
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
  border-radius: 8px;
  cursor: pointer;

  ${(props) => props.$darkmode && (0, styled_components_1.css) `
      background: ${props.$darkmode === true ? "rgba(0, 0, 0, 0.2)" : "#FFFFFF"};
      border: 1px solid ${props.$darkmode === true ? "#2B303B" : "#E1E4EA"};
      box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
    `}
`;
const ThemeButton = ({ onClick, darkmode }) => {
    return (react_1.default.createElement(ThemeButtonBasr, { "$darkmode": darkmode, onClick: onClick }, darkmode ? react_1.default.createElement(DarkModeIcon_1.DarkModeIcon, null) : react_1.default.createElement(LightModeIcon_1.LightModeIcon, null)));
};
exports.ThemeButton = ThemeButton;
