"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToggleButton = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const ToggleWrapper = styled_components_1.default.div `
  width: 32px;
  height: 20px;
  border-radius: 50px;
  background: ${({ $isOn, $color }) => ($isOn ? $color : "#E1E4EA")};
  display: flex;
  align-items: center;
  padding: 2px;
  cursor: pointer;
  transition: background 0.3s ease-in-out;
  box-shadow: 0px 1px 2px rgba(10, 13, 20, 0.03);
`;
const ToggleBall = styled_components_1.default.div `
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: white;
  position: relative;
  transition: transform 0.3s ease-in-out;
  transform: ${({ $isOn }) => ($isOn ? "translateX(16px)" : "translateX(0px)")};

  &::after {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    width: 4px;
    height: 4px;
    background: ${({ $isOn, $color }) => ($isOn ? $color : "#E1E4EA")};
    border-radius: 50%;
    transform: translate(-50%, -50%);
  }
`;
const ToggleButton = ({ isOn, onToggle, color = "#F56301", }) => {
    return (react_1.default.createElement(ToggleWrapper, { "$isOn": isOn, "$color": color, onClick: onToggle },
        react_1.default.createElement(ToggleBall, { "$isOn": isOn, "$color": color })));
};
exports.ToggleButton = ToggleButton;
