"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Typography = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const TextColors = {
    black: "#0E121B",
    darkGray: "#525866",
    gray: "#99A0AE",
    lightGray: "#D9DCE1",
    white: "#FFFFFF",
};
const fontSizeMap = {
    xs: "12px",
    sm: "14px",
    base: "16px",
    lg: "18px",
    xl: "20px",
    "2xl": "24px",
    "3xl": "30px",
    "4xl": "36px",
    "5xl": "48px",
};
const StyledTypography = styled_components_1.default.p `
  font-family: "Inter", sans-serif;
  font-weight: ${(props) => props.$weight || "400"};
  font-size: ${(props) => fontSizeMap[props.$size || "base"]};
  text-decoration: ${(props) => props.$decoration || "none"};
  transition: color 0.3s ease-in-out;
  color: ${(props) => TextColors[props.$color || "black"]};
`;
const Typography = ({ weight = "400", size = "base", color = "black", decoration = "none", children, }) => {
    return (react_1.default.createElement(StyledTypography, { "$weight": weight, "$size": size, "$color": color, "$decoration": decoration }, children));
};
exports.Typography = Typography;
